public class Person {
    private static final int MAX_EATEN = 100;
    private String name;
    private int hasEaten;
    public Person(String name) { 
        if(name == null) throw 
            new NullPointerException("Name cannot be null");
        if(name.length() == 0) throw
            new IllegalArgumentException();
        this.name = name; 
        this.hasEaten = 0;
    }
    public String getName() { return name; }
    public void setName(String name) { this.name = name; } 
    public int getHasEaten() { return hasEaten; }
    
    public void eat(int toEat) throws TooMuchEatenException {
        if(hasEaten + toEat > MAX_EATEN) {
            throw new TooMuchEatenException(toEat, hasEaten, MAX_EATEN);
        }
        hasEaten += toEat;
    }
}